### Function

# GLib DateTime new_from_unix_local

since: 2.26

#### Declaration

    GDateTime*
    g_date_time_new_from_unix_local (
      gint64 t
    )

#### Description

Creates a `GDateTime` corresponding to the given Unix time `t` in the local time zone.

Unix time is the number of seconds that have elapsed since 1970-01-01 00:00:00 UTC, regardless of the local time offset.

This call can fail (returning `NULL`) if `t` represents a time outside of the supported range of `GDateTime`.

You should release the return value by calling `g_date_time_unref()` when you are done with it.

Available since: 2.26

#### Parameters

`t`

  Type: `gint64`

  The Unix time.

#### Return value

Type: `GDateTime`

A new `GDateTime`, or `NULL`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.